Package org.eclipse.birt.report.model.api.elements.structures

# Class SearchKey

java.lang.Object
org.eclipse.birt.report.model.core.Structure
org.eclipse.birt.report.model.api.elements.structures.SearchKey

All Implemented Interfaces:
  `Cloneable`, `IStructure`, `org.eclipse.birt.report.model.core.IPropertySet`

public class SearchKey extends org.eclipse.birt.report.model.core.Structure
Structure for optional list of search criteria. It is used when we defined action in some report item, such as label item, image item and so on, and the action type is drillthrough type. It's provided for drillthrough contents. If the document supports searching, the link can include search criteria. Each search key has the following properties:

Expression
  an expression of the search key for the drillthrough.

See Also:
  - `Action`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Expression`
`expression`
Value of the expression property.
`static final String`
`EXPRESSION_MEMBER`
Name of the expression property.
`static final String`
`SEARCHKEY_STRUCT`
Name of the structure.

## Constructor Summary

Constructors
Constructor
Description
`SearchKey()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getExpression()`
Returns expression value this key.
`protected Object`
`getIntrinsicProperty(String propName)`
Returns the value of a structure property represented as a member variable.
`String`
`getStructName()`
Returns the name of the structure definition.
`StructureHandle`
`handle(SimpleValueHandle valueHandle, int index)`
Creates the specific handle of this structure.
`void`
`setExpression(String expression)`
Sets the expression value of this key.
`protected void`
`setIntrinsicProperty(String propName, Object value)`
Sets the value of of a structure property represented as a member variable.

### Methods inherited from class org.eclipse.birt.report.model.core.Structure

`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference, validate`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SEARCHKEY_STRUCT

public static final String SEARCHKEY_STRUCT
Name of the structure.

See Also:
  - Constant Field Values

### EXPRESSION_MEMBER

public static final String EXPRESSION_MEMBER
Name of the expression property.

See Also:
  - Constant Field Values

### expression

protected Expression expression
Value of the expression property.

## Constructor Details

### SearchKey

public SearchKey()

## Method Details

### getStructName

public String getStructName()
Description copied from interface: `IStructure`
Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

Returns:
  the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

protected Object getIntrinsicProperty(String propName)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Returns the value of a structure property represented as a member variable.

Specified by:
  `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `propName` - name of the property
Returns:
  the value of the property, or null if the property is not set

### setIntrinsicProperty

protected void setIntrinsicProperty(String propName, Object value)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Sets the value of of a structure property represented as a member variable.

Specified by:
  `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `propName` - the name of the property to set
  `value` - the property value

### setExpression

public void setExpression(String expression)
Sets the expression value of this key.

Parameters:
  `expression` - the expression to set

### getExpression

public String getExpression()
Returns expression value this key.

Returns:
  the expression value

### handle

public StructureHandle handle(SimpleValueHandle valueHandle, int index)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Creates the specific handle of this structure. This handle is always created.

Specified by:
  `handle` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `valueHandle` - the value handle of this structure list property this structure is in
  `index` - the position of this structure in structure list
Returns:
  the handle of this structure.